Search Gradle plugins

Version 3.0.0-rc4 (latest)

Created 13 November 2020.

Gradle plugin for executing Node.js scripts. Supports npm and Yarn.

Using the plugins DSL:

plugins {
  id "com.github.node-gradle.node" version "3.0.0-rc4"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "com.github.node-gradle:gradle-node-plugin:3.0.0-rc4"
  }
}

apply plugin: "com.github.node-gradle.node"

Using the plugins DSL:

plugins {
  id("com.github.node-gradle.node") version "3.0.0-rc4"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("com.github.node-gradle:gradle-node-plugin:3.0.0-rc4")
  }
}

apply(plugin = "com.github.node-gradle.node")

Learn how to apply plugins to subprojects